Bug 217671 - Review Request: libhangul - Hangul input library
Summary: Review Request: libhangul - Hangul input library
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-11-29 10:15 UTC by Akira TAGOH
Modified: 2013-01-10 04:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-22 12:56:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libhangul.spec-1.patch (936 bytes, patch)
2007-01-08 01:23 UTC, Jens Petersen
no flags Details | Diff
libhangul.spec-2.patch (940 bytes, patch)
2007-02-19 02:57 UTC, Jens Petersen
no flags Details | Diff

Description Akira TAGOH 2006-11-29 10:15:21 UTC
Spec URL: http://people.redhat.com/tagoh/libhangul/libhangul.spec
SRPM URL: http://people.redhat.com/tagoh/libhangul/libhangul-0.0.3-1.src.rpm
Description:
libhangul provides common features to develop applications that needs Hangul 
input facilities.


This library is required to build scim-hangul.

Comment 1 Jens Petersen 2007-01-08 01:18:39 UTC
libhangul-0.0.4 was released btw.



Comment 2 Jens Petersen 2007-01-08 01:23:57 UTC
Created attachment 145019 [details]
libhangul.spec-1.patch

Fix:
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}

and for the include dir:

- MUST: A package must own all directories that it creates.

All the other MUST items are satisfied, thanks.

Comment 3 Jens Petersen 2007-02-16 04:36:17 UTC
s/Fix/Fixes/

Comment 4 Akira TAGOH 2007-02-16 13:04:46 UTC
Thanks for reviewing. updated spec file and srpm file are:

Spec URL: http://people.redhat.com/tagoh/libhangul/libhangul.spec
SRPM URL: http://people.redhat.com/tagoh/libhangul/libhangul-0.0.4-1.src.rpm


Comment 5 Jens Petersen 2007-02-19 02:46:04 UTC
Here is the review:

= rpmlint gives:
W: libhangul-devel no-documentation
but I think this is probably ok
+ package naming is good
+ spec filename matches package name
+ meets packaging guidelines
+ license is LGPL
+ license in spec file is correct
+ COPYING file is included in %doc files
- I attach a small patch to improve the English descriptions
+ spec file is legible
+ md5sum matches upstream tarball
a32301e03a381917cb2ec836a43a9664  libhangul-0.0.4.tar.gz
+ builds on fc6 i386
+ no build dependencies
+ no translations
+ has correct ldconfig scripts
+ owns all its directories
+ no duplicate files in filelists
+ has %defattr lines
+ has %clean
+ macro use is consistent
+ no large documentation
+ %doc files do not affect runtime
+ has devel subpackage
+ devel requires pkgconfig
+ lib*.so is in -devel
+ devel package requires main package with full nvr
+ removes .la file
+ only owns its own dirs


Comment 6 Jens Petersen 2007-02-19 02:57:32 UTC
Created attachment 148309 [details]
libhangul.spec-2.patch

Small patch to improve the descriptions.
Sorry I should have included this in the first patch.

Comment 8 Jens Petersen 2007-02-19 05:23:39 UTC
Thanks, srpm looks good now.

Package is APPROVED.



Comment 9 Jesse Keating 2007-03-22 11:49:53 UTC
Eeek, kind of late with the feature freeze already in effect, but I'll wave that
for this (and I presume scim-hangul).

I've added it to the build system.  Please let me know when you've built it so I
can tag it for Test3.

Comment 10 Akira TAGOH 2007-03-22 12:56:50 UTC
Thanks for adding. yes, this is for scim-hangul.

I've built libhangul-0.0.4-2.fc7 and scim-hangul-0.3.1-1.fc7 into brew now.


Note You need to log in before you can comment on or make changes to this bug.